<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }



$admin->head();

echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات مؤلف</b></a></td>
 </tr>
</table><br>";



echo "

<script language=javascript>

function checkForm(){

	if (!document.addf.cat_title.value) {

		alert('عفوا ... انت لم تقم بكتابة اسم للتصنيف'); 

		return false;

	} 

	if (!document.addf.cat_desc.value) {

		alert('عفوا ... انت لم تقم بكتابة وصف للتصنيف'); 

		return false;

	} 

	var xx=document.addf.cat_order.options[document.addf.cat_order.selectedIndex].value

	if (xx==''){

		alert('عفوا ... انت لم تقم بإختيار ترتيب للتصنيف'); 

		return false;

	}	

}

</script>

";


if($apt->post[save])

{
$cat_id = $apt->post[cat_id];

$cat_title = $apt->post[cat_title];

$cat_desc = $apt->post[cat_desc];

$cat_sub = $apt->post[cat_sub];

$cat_order = $apt->post[cat_order];

if($cat_sub == '0'){$cat_main = 1;}else{$cat_main = 0;}

$allow_ext = array('.gif','.png','.jpg');
$file 	= $apt->files["name_file"]["tmp_name"];
if($file){
$realname 	= $apt->files["name_file"]["name"];
$type 	= $apt->files["name_file"]["type"];
$size 	= $apt->files["name_file"]["size"];
$ext  	= strrchr($realname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);
if(!$allow_e)

{
		modmsg("عفوا ... الصوره التي اخترتها يجب ان تكون بالامتداد gif,jpg,png<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=media&op=new&".$admin->get_sess());
}elseif($size > 1048576){
		modmsg("عفوا ... حجم الصوره التي اخترتها أكبر من واحد ميجابايت<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=media&op=new&".$admin->get_sess());
} 

}

$result = $apt->query("INSERT INTO rafia_media_cat VALUES ('', '$cat_main', '$cat_sub', '$cat_title','$cat_desc', 0, '$cat_order');");

$picid = $apt->insertid(); 

if($result) 
{
//// Start 20/12/2007
// update query deleted
//// End 20/12/2007

//***************************************
if($file){
$thefile = $file;
if($ext=='.gif'){
$image = ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = 70; 
$new_height = 70;

if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
ImageJPEG($thumb, './../modules/media/cat/'.$picid. '.jpg');
imagedestroy($image);
}
//***************************************

		modmsg("تم إنشاء التصنيف بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
}else{
		modmsg("عفوا ... حصل خطأ و لم يتم انشاء التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
             }


   }
else
   {
            $admin->opentable("اضافة تصنيف جديد للمكتبة");

		    	echo "<form onsubmit='return checkForm(this)' name=addf enctype='multipart/form-data' act=mod.php?act=edit&mod=media&op=new&".$admin->get_sess()." method=post>";

            $admin->inputtext("عنوان التصنيف","cat_title",$gtitle);

            $admin->textarea("وصف بسيط للتصنيف","cat_desc",'','rtl',3);

            $result = $apt->query("SELECT * FROM rafia_media_cat");

		    echo "<tr>";

		$admin->td_msg("نوع التصنيف");

                echo "<td class=datacell><select name='cat_sub'>\n";

                echo "<option value='0'>تصنيف رئيسي</option>";

                while($row=$apt->dbarray($result)){

                @extract($row);

		        $cid   = $row["cat_id"];

                $ctitle = $row["cat_title"];

                echo "<option value='$cid'>متفرع من [$ctitle]</option>";

		}

             echo "</select></td></tr>";

             $admin->inputfile("اختر صورة التصنيف");
       
		     $admin->selectnum("الترتيب","cat_order","",'1','15');
            
             $admin->inputhidden('save','1');
            
             $admin->closetable();

             $admin->submit("اضافة");



         }

?>